/* eslint-disable import/no-anonymous-default-export */
export default (function (_ref) {
  var formatMessage = _ref.formatMessage,
      intlPrefix = _ref.intlPrefix;
  return {
    selection: false,
    pageSize: 10,
    transport: {
      read: {
        method: 'get'
      }
    },
    fields: [{
      name: 'envDetail',
      label: formatMessage({
        id: "".concat(intlPrefix, ".env.manage.detail")
      })
    }, {
      name: 'projects',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".env.manage.project")
      })
    }, {
      name: 'cpu',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".env.manage.cpu")
      })
    }, {
      name: 'stack',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".env.manage.stack")
      })
    }, {
      name: 'createTime',
      type: 'string',
      label: formatMessage({
        id: 'createDate'
      })
    }]
  };
});